# The MongoDB\Driver\CursorId class

(mongodb >=1.0.0)

## Introduction

The MongoDB\Driver\CursorID class is a value object that represents a cursor ID. Instances of this class are returned by MongoDB\Driver\Cursor::getId().

## Class synopsis

final MongoDB\Driver\CursorId implements Serializable {
/* Methods */
final private __construct ( void )
final public serialize ( void ) : string
final public __toString ( void ) : string
final public unserialize ( string `$serialized` ) : void
}

## Changelog

Version | Description
--- | ---
1.7.0 | Implements Serializable.

## Table of Contents

- MongoDB\Driver\CursorId::__construct — Create a new CursorId (not used)
- MongoDB\Driver\CursorId::serialize — Serialize a CursorId
- MongoDB\Driver\CursorId::__toString — String representation of the cursor ID
- MongoDB\Driver\CursorId::unserialize — Unserialize a CursorId